Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.LogoutReason

    java.lang.Object
      java.lang.Enum<Account.LogoutReason>
          com.skype.api.Account.LogoutReason

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.LogoutReason>

Enclosing class:
  Account

    public static enum Account.LogoutReason

extends java.lang.Enum<Account.LogoutReason>
implements EnumConverting

Recognized values for the Account.P_LOGOUTREASON. Note that this property should only be examined when Account.P_STATUS is LOGGED_OUT or LOGGED_OUT_AND_PWD_SAVED. That is, you should not monitor changes to this property in Account.OnChange callback, other than after already having checked that P_STATUS property has appropriate value. The reason for this is that the LOGOUTREASON does not get reset before the next login attempt. For example: if a user tried to log in with a wrong password, the LOGOUTREASON gets set to INCORRECT_PASSWORD. Now, if the user tries to log in again, and yet again submits an incorrect password, the value of the LOGOUTREASON does not change anymore, because it already is set to INCORRECT_PASSWORD. Consequently, Account.OnChange will not fire in this case.

Enum Constant Summary
`APP_ID_FAILURE` platform sdk
`DB_CORRUPT` async errors (can happen anytime while logged in)
`DB_DISK_FULL` async errors (can happen anytime while logged in)
`DB_FAILURE` deprecated (superceded by more detailed DB_* errors)
`DB_IN_USE` sync errors at login/registration
`DB_IO_ERROR` async errors (can happen anytime while logged in)
`HTTPS_PROXY_AUTH_FAILED` sync errors at login/registration
`INCORRECT_PASSWORD` sync errors at login
`INVALID_APP_ID` platform sdk
`INVALID_EMAIL` sync errors at registration
`INVALID_SKYPENAME` sync errors at registration
`LOGOUT_CALLED` manual logout (or unknown reason from previous session)
`NO_SUCH_IDENTITY` sync errors at login
`P2P_CONNECT_FAILED` sync errors at login/registration
`PASSWORD_HAS_CHANGED` async errors (can happen anytime while logged in)
`PERIODIC_UIC_UPDATE_FAILED` async errors (can happen anytime while logged in)
`REJECTED_AS_UNDERAGE` sync errors at registration
`SERVER_CONNECT_FAILED` sync errors at login/registration
`SERVER_OVERLOADED` sync errors at login/registration
`SKYPENAME_TAKEN` sync errors at registration
`SOCKS_PROXY_AUTH_FAILED` sync errors at login/registration
`TOO_MANY_LOGIN_ATTEMPTS` sync errors at login
`UNACCEPTABLE_PASSWORD` sync errors at registration
`UNSUPPORTED_VERSION` forced upgrade/discontinuation

Field Summary
`static int` | `APP_ID_FAILURE_VALUE`
`static int` | `DB_CORRUPT_VALUE`
`static int` | `DB_DISK_FULL_VALUE`
`static int` | `DB_FAILURE_VALUE`
`static int` | `DB_IN_USE_VALUE`
`static int` | `DB_IO_ERROR_VALUE`
`static int` | `HTTPS_PROXY_AUTH_FAILED_VALUE`
`static int` | `INCORRECT_PASSWORD_VALUE`
`static int` | `INVALID_APP_ID_VALUE`
`static int` | `INVALID_EMAIL_VALUE`
`static int` | `INVALID_SKYPENAME_VALUE`
`static int` | `LOGOUT_CALLED_VALUE`
`static int` | `NO_SUCH_IDENTITY_VALUE`
`static int` | `P2P_CONNECT_FAILED_VALUE`
`static int` | `PASSWORD_HAS_CHANGED_VALUE`
`static int` | `PERIODIC_UIC_UPDATE_FAILED_VALUE`
`static int` | `REJECTED_AS_UNDERAGE_VALUE`
`static int` | `SERVER_CONNECT_FAILED_VALUE`
`static int` | `SERVER_OVERLOADED_VALUE`
`static int` | `SKYPENAME_TAKEN_VALUE`
`static int` | `SOCKS_PROXY_AUTH_FAILED_VALUE`
`static int` | `TOO_MANY_LOGIN_ATTEMPTS_VALUE`
`static int` | `UNACCEPTABLE_PASSWORD_VALUE`
`static int` | `UNSUPPORTED_VERSION_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.LogoutReason` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.LogoutReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.LogoutReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOGOUT_CALLED

    public static final Account.LogoutReason LOGOUT_CALLED

  manual logout (or unknown reason from previous session)

### HTTPS_PROXY_AUTH_FAILED

    public static final Account.LogoutReason HTTPS_PROXY_AUTH_FAILED

  sync errors at login/registration

### SOCKS_PROXY_AUTH_FAILED

    public static final Account.LogoutReason SOCKS_PROXY_AUTH_FAILED

  sync errors at login/registration

### P2P_CONNECT_FAILED

    public static final Account.LogoutReason P2P_CONNECT_FAILED

  sync errors at login/registration

### SERVER_CONNECT_FAILED

    public static final Account.LogoutReason SERVER_CONNECT_FAILED

  sync errors at login/registration

### SERVER_OVERLOADED

    public static final Account.LogoutReason SERVER_OVERLOADED

  sync errors at login/registration

### DB_IN_USE

    public static final Account.LogoutReason DB_IN_USE

  sync errors at login/registration

### INVALID_SKYPENAME

    public static final Account.LogoutReason INVALID_SKYPENAME

  sync errors at registration

### INVALID_EMAIL

    public static final Account.LogoutReason INVALID_EMAIL

  sync errors at registration

### UNACCEPTABLE_PASSWORD

    public static final Account.LogoutReason UNACCEPTABLE_PASSWORD

  sync errors at registration

### SKYPENAME_TAKEN

    public static final Account.LogoutReason SKYPENAME_TAKEN

  sync errors at registration

### REJECTED_AS_UNDERAGE

    public static final Account.LogoutReason REJECTED_AS_UNDERAGE

  sync errors at registration

### NO_SUCH_IDENTITY

    public static final Account.LogoutReason NO_SUCH_IDENTITY

  sync errors at login

### INCORRECT_PASSWORD

    public static final Account.LogoutReason INCORRECT_PASSWORD

  sync errors at login

### TOO_MANY_LOGIN_ATTEMPTS

    public static final Account.LogoutReason TOO_MANY_LOGIN_ATTEMPTS

  sync errors at login

### PASSWORD_HAS_CHANGED

    public static final Account.LogoutReason PASSWORD_HAS_CHANGED

  async errors (can happen anytime while logged in)

### PERIODIC_UIC_UPDATE_FAILED

    public static final Account.LogoutReason PERIODIC_UIC_UPDATE_FAILED

  async errors (can happen anytime while logged in)

### DB_DISK_FULL

    public static final Account.LogoutReason DB_DISK_FULL

  async errors (can happen anytime while logged in)

### DB_IO_ERROR

    public static final Account.LogoutReason DB_IO_ERROR

  async errors (can happen anytime while logged in)

### DB_CORRUPT

    public static final Account.LogoutReason DB_CORRUPT

  async errors (can happen anytime while logged in)

### DB_FAILURE

    public static final Account.LogoutReason DB_FAILURE

  deprecated (superceded by more detailed DB_* errors)

### INVALID_APP_ID

    public static final Account.LogoutReason INVALID_APP_ID

  platform sdk

### APP_ID_FAILURE

    public static final Account.LogoutReason APP_ID_FAILURE

  platform sdk

### UNSUPPORTED_VERSION

    public static final Account.LogoutReason UNSUPPORTED_VERSION

  forced upgrade/discontinuation

Field Detail

### LOGOUT_CALLED_VALUE

    public static final int LOGOUT_CALLED_VALUE

See Also:
  Constant Field Values

### HTTPS_PROXY_AUTH_FAILED_VALUE

    public static final int HTTPS_PROXY_AUTH_FAILED_VALUE

See Also:
  Constant Field Values

### SOCKS_PROXY_AUTH_FAILED_VALUE

    public static final int SOCKS_PROXY_AUTH_FAILED_VALUE

See Also:
  Constant Field Values

### P2P_CONNECT_FAILED_VALUE

    public static final int P2P_CONNECT_FAILED_VALUE

See Also:
  Constant Field Values

### SERVER_CONNECT_FAILED_VALUE

    public static final int SERVER_CONNECT_FAILED_VALUE

See Also:
  Constant Field Values

### SERVER_OVERLOADED_VALUE

    public static final int SERVER_OVERLOADED_VALUE

See Also:
  Constant Field Values

### DB_IN_USE_VALUE

    public static final int DB_IN_USE_VALUE

See Also:
  Constant Field Values

### INVALID_SKYPENAME_VALUE

    public static final int INVALID_SKYPENAME_VALUE

See Also:
  Constant Field Values

### INVALID_EMAIL_VALUE

    public static final int INVALID_EMAIL_VALUE

See Also:
  Constant Field Values

### UNACCEPTABLE_PASSWORD_VALUE

    public static final int UNACCEPTABLE_PASSWORD_VALUE

See Also:
  Constant Field Values

### SKYPENAME_TAKEN_VALUE

    public static final int SKYPENAME_TAKEN_VALUE

See Also:
  Constant Field Values

### REJECTED_AS_UNDERAGE_VALUE

    public static final int REJECTED_AS_UNDERAGE_VALUE

See Also:
  Constant Field Values

### NO_SUCH_IDENTITY_VALUE

    public static final int NO_SUCH_IDENTITY_VALUE

See Also:
  Constant Field Values

### INCORRECT_PASSWORD_VALUE

    public static final int INCORRECT_PASSWORD_VALUE

See Also:
  Constant Field Values

### TOO_MANY_LOGIN_ATTEMPTS_VALUE

    public static final int TOO_MANY_LOGIN_ATTEMPTS_VALUE

See Also:
  Constant Field Values

### PASSWORD_HAS_CHANGED_VALUE

    public static final int PASSWORD_HAS_CHANGED_VALUE

See Also:
  Constant Field Values

### PERIODIC_UIC_UPDATE_FAILED_VALUE

    public static final int PERIODIC_UIC_UPDATE_FAILED_VALUE

See Also:
  Constant Field Values

### DB_DISK_FULL_VALUE

    public static final int DB_DISK_FULL_VALUE

See Also:
  Constant Field Values

### DB_IO_ERROR_VALUE

    public static final int DB_IO_ERROR_VALUE

See Also:
  Constant Field Values

### DB_CORRUPT_VALUE

    public static final int DB_CORRUPT_VALUE

See Also:
  Constant Field Values

### DB_FAILURE_VALUE

    public static final int DB_FAILURE_VALUE

See Also:
  Constant Field Values

### INVALID_APP_ID_VALUE

    public static final int INVALID_APP_ID_VALUE

See Also:
  Constant Field Values

### APP_ID_FAILURE_VALUE

    public static final int APP_ID_FAILURE_VALUE

See Also:
  Constant Field Values

### UNSUPPORTED_VERSION_VALUE

    public static final int UNSUPPORTED_VERSION_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.LogoutReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.LogoutReason c : Account.LogoutReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.LogoutReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.LogoutReason get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.